Näytä kirjoitukset

Tässä osiossa voit tarkastella kaikkia tämän jäsenen viestejä. Huomaa, että näet viestit vain niiltä alueilta, joihin sinulla on pääsy.


Aiheet - mpiso

Sivuja: [1]
1
Olen jo pitkään seurannut vapaiden simulointiohjelmien (CFD FEA FEM) kehitystä verrattuna kaupallisiin (esim. ANSYS). Tiedän, että on jo yrityksiä jotka käyttävät näitä vapaita ohjelmia toiminnassaan. Mutta nyt huomasin yrityksen, joka on kehittänyt graafisen käyttöliittymän joka yhdistää eri ohjelmat (linkki). FreeCAD käyttää samaa menetelmää, mutta tässä se on ilmeisesti viety paljon pidemmälle. On syytäkin, kun kokonaiskustannus on vähintään 400 €/kk.

Mietin miten tämä tapainen toiminta vaikuttaa vapaiden ohjelmien kehitykseen. En tiedä kuinka suuri osuus koulutuksella on vapaiden ohjelmien kehityksen rahoittamisessa. Uusi ilmeisestikin helpompi käyttöliittymä saattaa kuitenkin pienentää koulutuksen kysyntää. Toisaalta tämä saattaa lisätä vapaiden ohjelmien arvostusta ja kannustaa opiskelemaan niiden käyttöä suoraan, ilman maksullista lisää.

http://www.dhcae-tools.com/CastNet.html?gclid=EAIaIQobChMIkMaXo7LF5wIVl9iaCh0how3DEAEYASAAEgIh3PD_BwE

2
DraftSight 2019 Linux lopetti toimintansa vuoden 2019 lopussa. Uutta versiota ei näillä näkymin tule. Ilmeisesti jatkossa DraftSight on maksullinen ohjelma, joka on saatavana vain Windowsille ja tulevaisuudessa pilvelle.

Olen hakenut korvaavaa sovellusta. Asennettuna oli jo LibreCAD, mutta se ei avaa kuin osan dwg kuvista. Lisäksi piirtäminen pitäisi sillä opetella uudelleen. Toisin kuin DraftSight joka on toiminnaltaan lähes Autocadin kopio.

Asensin lisäksi Qcadin, joka löytyi ppa:sta. Sillä ei kuitenkaan pysty avaamaan dwg kuvia, vain dxf käy. Piirtäminen sillä tuntui kuitenkin jotenkin tutummalta. Tiedostojen avaamisessa ja tallentamisessa ei Dolphinin oikopolut toimineet, piti valita yksinkertaisempi valikko.

Kokeilin lisäksi asentaa ODA File Converterin, joka löytyi DEB pakettina. Asennus ei kuitenkaan suoraan onnistunut. Vaadittiin vähintään Qt 5.3.2, jota uudempi minulla Kubuntussa piti olla. Netistä löytyi kuitenkin tieto, että vaadittava paketti olisi qt5-default. Asensin sen pakettivarastosta ja asennus onnistui. En löytänyt netistä ymmärrettävää selitystä mikä ero eri Qt paketeilla on, mutta nyt käännös dwg >dxf tai vaikka R12 dwg toimii.

Kokeilin erilaisia muunnoksia, mutta LibreCAD ei avaa kaikkia kuvia oikein ja jotkut isot kuvat ei avaudu ollenkaan. Qcad selviää paremmin ja toistaiseksi kaikki kuvat ovat avautuneet. Ääkösten näyttämisen kanssa on ongelmia, mutta onneksi korjaaminen on helppoa.

Näinkin tämä toimii vähintään tyydyttävästi, mutta haluaisin kuulla mitä vaihtoehtoja muut ovat löytäneet.

Edit: Pari kirjoitusvirhettä korjattu. Lisäksi kiinnostaa onko joku löytänyt nopean dwg kuvien katseluohjelman. Pelkkä katselu riittäisi jos kääntäminen jäisi pois.

3
Laitealue / Tikun alustus epäonnistui (RATKAISTU)
« : 14.12.19 - klo:23.54 »
Tikulla oli jotain Kingstonin Win ohjelmia. Halusin sen kokonaan käyttöön ja alustin sen levyt ohjelmalla. Siinä meni ilmeisesti jotain vikaan koska tiedot katosivat, eikä tikku näy esimerkiksi Dolphinissa tai Win resurssienhallinnassa. Löysin täältä ohjeen kirjoittaa jotain tikulle dd:n avulla. Senkään jälkeen tikku ei näkynyt Dolphinissa. Win 10 ilmoitti, että se on alustamaton ja alustin sen. Levyt, KDE:n osionhallinta ja Dolphin näyttää sen oikein, mutta sudo fdisk -l näyttää sen väärin. Tikku tuntuu kuitenkin toimivan mutta hiukan ihmetyttää.

Koodia: [Valitse]
Disk /dev/sdi: 3,75 GiB, 4009754624 bytes, 7831552 sectors
Disk model: DT 101 G2       
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0xafe3adf1
mpiso@mpiso-System-Product-Name:~$ sudo dd if=/dev/zero of=/dev/sdi bs=2048; sync
dd: error writing '/dev/sdi': No space left on device
1957889+0 records in
1957888+0 records out
4009754624 bytes (4,0 GB, 3,7 GiB) copied, 1222,95 s, 3,3 MB/s

Alustuksen jälkeen sudo fdisk -l

Koodia: [Valitse]
Disk /dev/sdi: 3,75 GiB, 4009754624 bytes, 7831552 sectors
Disk model: DT 101 G2       
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x500a0dff

Device     Boot      Start        End    Sectors   Size Id Type
/dev/sdi1       1948285285 3650263507 1701978223 811,6G 6e unknown
/dev/sdi2                0          0          0     0B 74 unknown
/dev/sdi4         28049408   28049848        441 220,5K  0 Empty

Partition table entries are not in disk order.

4
Laitealue / SSD levyn osiointi (RATKAISTU)
« : 10.12.19 - klo:14.11 »
Levyt ohjelma sanoo perinteisestä kiintolevystä ”disk is ok”, mutta bad sectors on hitaasti kasvanut ja on nyt jo 1984. Hankin sen tilalle Kingston SA400S37/240G SSD levyn.

Varsinainen kysymys koskee osioiden kohdistusta. Pitääkö se tehdä samalla tavalla kuin nm neuvoi muutama vuosi sitten Samsung 850 EVO 120 GB SSD levylle (alla). Minä en löytänyt netistä mitään varmaa vastausta.

Koodia: [Valitse]
Laite      Käynnistettävä      Alku     Loppu  Sektorit   Koko Id Tyyppi
/dev/sdc1  *                  12288 226047999 226035712 107,8G 83 Linux
/dev/sdc2                 226048000 234434559   8386560     4G  5 Laajennettu
/dev/sdc5                 226050048 234434559   8384512     4G 82 Linux-sivutus / Solaris

5
Google Chrome alkoi esittää viestejä Kubuntun ilmoitusalueella. Viesteissä oli Chromen logo ja osoitteena fres-news.com.  Chromeen on siis iskenyt haittaohjelma. Olen ilmeisesti sallinut ilmoitukset väärällä sivulla. Jos oikein muistan olin etsimässä tietoa CAELinuxista, englanninkielisillä sivuilla.

Poistin Google Chromen kokonaan, sekä lisäksi kansion ~/.config/google-chrome. Mitä pitäisi lisäksi tehdä, ennen uudelleen asennusta?

Laitoin tämän tänne, koska mielestäni tämä koskee muitakin kuin Kubuntua.

6
Piti vaihtaa päivityspalvelin samoin kuin vuosi sitten.

Koodia: [Valitse]
Vrhe:1 http://fi.archive.ubuntu.com/ubuntu bionic InRelease
  Yhteyttä fi.archive.ubuntu.com ei voitu muodostaa: 80 (193.166.3.20) - connect (111: Yhteys torjuttu) Yhteyden fi.archive.ubuntu.com avaus ei onnistu: 80 (2001:708:10:8::5). - connect (101: Verkkoa ei tavoiteta)
Vrhe:2 http://fi.archive.ubuntu.com/ubuntu bionic-updates InRelease                                                             
  Yhteyden fi.archive.ubuntu.com avaus ei onnistu: 80 (2001:708:10:8::5). - connect (101: Verkkoa ei tavoiteta)
Vrhe:3 http://fi.archive.ubuntu.com/ubuntu bionic-backports InRelease

https://forum.ubuntu-fi.org/index.php?topic=52424.msg401263#msg401263

7
Ubuntu tietokoneissa / Outo päivitys [RATKAISTU]
« : 04.06.19 - klo:09.29 »
Laitan tämän Ubuntu alueelle vaikka minulla on Kubuntu 18.04, koska päivitys komentoriviltä koskee mielestäni Ubuntua yleensä. Päivitys on outo koska ilmoittaa, että 11 päivitystä, näyttää 7 ja päivittää kuitenkin 14. Lisäksi sudo apt dist-upgrade näyttää 0.  Onko 18.04:ssä jokin automaattipäivitys oletuksena, vai mistä on kysymys?

Koodia: [Valitse]
mpi@mpi-System-Product-Name:~$ sudo apt update
[sudo] salasana henkilölle mpi:
Löytyi:1 http://fi.archive.ubuntu.com/ubuntu bionic InRelease
Löytyi:2 http://fi.archive.ubuntu.com/ubuntu bionic-updates InRelease                                                       
Löytyi:3 http://ppa.launchpad.net/elmer-csc-ubuntu/elmer-csc-ppa/ubuntu bionic InRelease                                     
Löytyi:4 http://security.ubuntu.com/ubuntu bionic-security InRelease                                                                           
Löytyi:5 http://fi.archive.ubuntu.com/ubuntu bionic-backports InRelease                                                                         
Siv:6 http://dl.google.com/linux/chrome/deb stable InRelease                                                             
Löytyi:7 http://ppa.launchpad.net/freecad-maintainers/freecad-stable/ubuntu bionic InRelease       
Löytyi:8 http://dl.google.com/linux/chrome/deb stable Release
Luetaan pakettiluetteloita... Valmis             
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
11 pakettia voidaan päivittää. Suorita 'apt list --upgradable' nähdäksesi ne.
mpi@mpi-System-Product-Name:~$ apt list --upgradable
Listataan... Valmis
libqt5gui5/bionic-updates,bionic-security 5.9.5+dfsg-0ubuntu2.1 amd64 [päivitettävissä versiosta: 5.9.5+dfsg-0ubuntu2]
libqt5sql5-mysql/bionic-updates,bionic-security 5.9.5+dfsg-0ubuntu2.1 amd64 [päivitettävissä versiosta: 5.9.5+dfsg-0ubuntu2]
libqt5sql5-sqlite/bionic-updates,bionic-security 5.9.5+dfsg-0ubuntu2.1 amd64 [päivitettävissä versiosta: 5.9.5+dfsg-0ubuntu2]
libqt5test5/bionic-updates,bionic-security 5.9.5+dfsg-0ubuntu2.1 amd64 [päivitettävissä versiosta: 5.9.5+dfsg-0ubuntu2]
libqt5widgets5/bionic-updates,bionic-security 5.9.5+dfsg-0ubuntu2.1 amd64 [päivitettävissä versiosta: 5.9.5+dfsg-0ubuntu2]
libqt5xml5/bionic-updates,bionic-security 5.9.5+dfsg-0ubuntu2.1 amd64 [päivitettävissä versiosta: 5.9.5+dfsg-0ubuntu2]
qt5-gtk-platformtheme/bionic-updates,bionic-security 5.9.5+dfsg-0ubuntu2.1 amd64 [päivitettävissä versiosta: 5.9.5+dfsg-0ubuntu2]
mpi@mpi-System-Product-Name:~$ sudo apt dist-upgrade
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
Käsitellään päivitystä... Valmis
0 päivitetty, 0 uutta asennusta, 0 poistettavaa ja 0 päivittämätöntä.
mpi@mpi-System-Product-Name:~$ apt list --upgradable
Listataan... Valmis
mpi@mpi-System-Product-Name:~$

8
Versiossa 18.04 Freecad 0.18.1 käyttää python3 versiota. Aluksi ei edes Elmer ratkaisijan lisäys piirrepuuhun onnistunut. Virheilmoituksen perusteella löysin ratkaisun netistä. Piti lisätä yksi paketti.

Koodia: [Valitse]
sudo apt install python3-distutils
Sen jälkeen laskenta näytti menevän läpi. Virhe (alla) syntyi kun Elmerin piti palauttaa tulos jälkikäsittelyä varten Freecadiin.

Koodia: [Valitse]
Exception in thread Thread-8:
Traceback (most recent call last):
  File "/usr/lib/python3.6/threading.py", line 916, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/share/freecad/Mod/Fem/femsolver/task.py", line 115, in protector
    self.run()
  File "/usr/share/freecad/Mod/Fem/femsolver/elmer/tasks.py", line 107, in run
    self._updateOutput(output)
  File "/usr/share/freecad/Mod/Fem/femsolver/elmer/tasks.py", line 115, in _updateOutput
    self.solver.ElmerOutput.Text = output.decode("utf-8")
AttributeError: 'str' object has no attribute 'decode'

Kun siirrän dokumentin ympäristöön (16.04) missä on käytössä myös Freecad 0.18.1 mutta python2, niin uudelleenlaskenta toimii ja palauttaa tuloksen oikein.

Onko tuossa kysymys siitä, että python3 ei ole taaksepäin täysin yhteensopiva, vai puuttuko minulta jokin paketti tai ympäristömuuttuja?

9
Tuli Firefoxilla tuollainen:

”Varoitus: mahdollinen tietoturvariski

Firefox havaitsi ongelman, eikä jatkanut sivustolle forum.ubuntu-fi.org. Sivuston asetukset on määritetty väärin tai tietokoneesi kello on asetettu väärään aikaan.

On todennäköistä, että verkkosivuston varmenne on vanhentunut, mikä estää Firefoxia muodostamasta suojattua yhteyttä. Jos vierailet tällä sivustolla, hyökkääjät voivat yrittää varastaa esimerkiksi salasanoja, sähköposteja tai luottokorttitietoja.

Mitä voit tehdä?

Tietokoneesi mukaan nyt on 8.5.2019. Tarkista asetuksista, että tietokoneesi päivämäärä, kellonaika ja aikavyöhyke ovat oikeat, ja lataa sitten forum.ubuntu-fi.org uudestaan.

Jos kello on jo oikeassa ajassa, vika on luultavasti sivustossa etkä voi korjata ongelmaa itse. Voit ilmoittaa ongelmasta sivuston ylläpitäjälle.”

Google Chromen vastaava:

”Yhteytesi ei ole salattu
Sivustolle forum.ubuntu-fi.org hyökännyt taho voi yrittää varastaa tietojasi (esimerkiksi salasanoja, viestejä tai luottokorttitietoja). Lisätietoja
NET::ERR_CERT_DATE_INVALID”

Edit: Tuli kaksi viestiä samasta aiheesta. Toinen näkyi vasta kun olin jo kirjoittanut omani.

10
Aiemassa viestiketjussa raimo kertoi hänelle uudesta komennosta.

https://forum.ubuntu-fi.org/index.php?topic=52210.msg399847#msg399847

Koodia: [Valitse]
ubuntu-support-status
Koska se oli myös minulle täysin outo, kokeilin sitä myös, eikä siinä ollut mitään mihin olisi pitänyt heti reagoida. Minulla on myös versio mikä valikon mukaan pitäisi olla ”Ubuntu 14.04.5 LTS”. Komennon ajo siinä antoi kuitenkin seuraavan varoituksen:

Koodia: [Valitse]
WARNING: Security updates for your current Hardware Enablement Stack ended on 2016-08-04:
Lisätietoja tarjottiin sivulta:

http://wiki.ubuntu.com/1404_HWE_EOL

Siellä kuitenkin sanottiin, että 14.04.5 pitäisi olla tuettu vuoteen 2019 asti, mutta siinä pitäisi olla v4.4 Kernel. Tarkistin Kernelin:

Koodia: [Valitse]
mpi@mpi-System-Product-Name:~$ uname -a
Linux mpi-System-Product-Name 3.19.0-80-generic #88~14.04.1-Ubuntu SMP Fri Jan 13 14:54:07 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Tuo Kernel on päivittynyt (viimeksi 0-80) 3.2.2017 ja se pitäisi olla version 14.04.3 Kernel tuon aiemman sivun mukaan. Minä en ole aiemmin kuulutkaan mistään HEW päivityksestä, enkä ole tehnyt muita päivityksiä kuin mitä on tarjottu. Saattaa olla, että olen kuitenkin tehnyt asennuksen levykuvasta 14.04.3.

Onko tosiaan näin, että asennukset vain levykuvasta 14.04.0, 14.04.1 ja 14.04.5 ovat pitkään tuettuja versioita kun asentaa vain tarjotut päivitykset?

Päivityksen versioon 16.04 lisäksi tarjottiin seuraavaa asennusta:

Koodia: [Valitse]
sudo apt-get install xserver-xorg-lts-xenial linux-image-generic-lts-xenial libgl1-mesa-glx-lts-xenial libwayland-egl1-mesa-lts-xenial linux-generic-lts-xenial
En asentanut paketteja vielä, koska ainakin jollain (ks. alla) oli ollut riippuvuuksien kanssa ongelmia. Hän oli poistanut paketit ja asentanut ne ilman "vivid" nimeä. En kuitenkaan ymmärtänyt mitä tämä koski ja oliko tämä vain poikkeustapaus. Kysynkin, onko joku tehnyt onnistuneesti tuon Kernelin päivityksen?

https://askubuntu.com/questions/839747/hwe-for-14-04-ended-but-update-to-current-security-supported-stack-does-not-work




11
Viimeisen päivityksen jälkeen on alla oleva viesti tullut joka päivitys toimenpiteen jälkeen, ennen komentokehotetta. Tuossa sanotaan jotain, että tarkenne on väärä. Voiko tuon vain poista, kun siellä on 20auto-upgrades tiedosto jolla näyttäisi olevan sama sisältö. Komentoriviltä päivitys tuntuu muuten toimivan oikein.

Koodia: [Valitse]
N: Ignoring file '20auto-upgrades.ucf-old' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension

12
Asensin Kubuntu version 16.04.2 (kubuntu-16.04.2-desktop-amd64.iso). Sovellusvalikoima (plasma-discover) ei näytä ohjelmia, ei edes asennettuja. Lisäksi päivityksistä ei tullut ilmoitusta. Sovellusvalikoima ei toiminut myöskään kokeilutilassa. Kokeilin toisellakin tietokoneella. Netissä (ja muistaakseni ainakin yksi täälläkin) samantapaisia ongelmia oli paljon. Mitään toimivaa ratkaisua ei kuitenkaan löytynyt. Asensin tietysti Synapticin ja tein päivitykset komentorivillä. Mielestäni visuaalisen sovellusvalikoiman toimivuus on tärkeää ainakin jos kokeilee Kubuntua ensi kertaa. Itsekin olisin halunnut selata mitä uutta löytyy.

Muistin, että olin polttanut 16.04.1 levyn (Kubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64) viime syksynä. Sovellusvalikoima toimii siinä kokeilutilassa. Tein asennuksen uudelleen siltä. Päivityksiä tuli lähes 500 MB. Sovellusvalikoima toimii ainakin vielä tässä vaiheessa. Ainakin heti asennuksen jälkeen ilmoitus päivityksistä toimi.

Latasin tiedosto (kubuntu-16.04.2-desktop-amd64.iso) uudelleen ja poltin levyn. Sovellusvalikoima ei toimi siinäkään kokeilutilassa.

Pitäisikö jonkun muunkin kokeilla onko levykuvassa jokin vika. Ihmettelen myös miksei päivitykset korjanneet ensimmäisen asennuksen virheitä.

13
En ole aivan varma olenko onnistunut polttaa yhtäkään levyä versiolla 14.04. Minulla on asennettuna myös Kubuntu 12.04 ja siinä K3b, jossa ei koskaan ole ollut mitään ongelmia. Tuo 12.04 kuitenkin poistuu kohta ja hain Kubuntu 16.04 levykuvan. Sen poltto keskeytyi versiossa 14.04 (DVD+R) melkein heti. Saman levykuvan poltto versiossa 12.04 onnistui. Huomasin kuitenkin, että ohjelma (K3b) pienensi polttonopeuden (6x).

Latasin myös Lubuntun 16.04 levykuvan. Yritin polttaa sitä versiolla 14.04 nopeudella 6x. Poltto eteni muistaakseni 98 prosenttiin. Sen jälkeen vain kellossa aika eteni. Sen jälkeen prosessin tila oli: ”unessa – prosessi odottaa jotain tapahtuvan”. Yritin keskeyttää ja sammuttaa ohjelman, mutta ei onnistunut. Lopuksi se jäi tilaan Zombie ja ohjelma jäi työpöydälle. Versiossa 12.04 ei taaskaan ollut mitään ongelmia. Polton jälkeen huomasin, että nopeus oli alussa automaattisesti pienennetty nopeuteen 6x, muuta se polton jälkeen oli keskimäärin ollut 4x.

Molemmat levyt toimivat ja Lubuntussa ajoin vielä aluksi levyn tarkistuksen.

Tietokoneen asemat (polttava ja lukeva) ovat alkuperäisestä kokoonpanosta ja ovat aika vanhoja. Polttavaa on kuitenkin käytetty todella vähän.

K3b:n antamat tiedot 14.04

Koodia: [Valitse]
Devices
-----------------------
_NEC DVD_RW ND-3500AG 2.88 (/dev/sr1, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD+R, DVD+RW, DVD+R DL) [DVD-ROM, jaksollinen DVD-R, rajoitetun ylikirjoituksen DVD-RW, jaksollinen DVD-RW, DVD+RW, DVD+R, kaksikerroksinen DVD+R, CD-ROM, CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R96P, RAW/R96P, RAW/R96R, Rajoitettu ylipoltto] [%7]
DVD-16X DVD-ROM BDV316E B568 (/dev/sr0, CD-ROM, DVD-ROM) [DVD-ROM, CD-ROM] [Ei mikään] [%7]

System
-----------------------
K3b Version: 2.0.2
KDE Version: 4.13.3
QT Version:  4.8.6
Kernel:      3.19.0-75-generic

K3b:n antamat tiedot 12.04

Koodia: [Valitse]
Devices
-----------------------
DVD-16X DVD-ROM BDV316E B568 (/dev/sr0, CD-ROM, DVD-ROM) [DVD-ROM, CD-ROM] [Ei mikään] [%7]
_NEC DVD_RW ND-3500AG 2.88 (/dev/sr1, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD+R, DVD+RW, DVD+R DL) [DVD-ROM, jaksollinen DVD-R, rajoitetun ylikirjoituksen DVD-RW, jaksollinen DVD-RW, DVD+RW, DVD+R, kaksikerroksinen DVD+R, CD-ROM, CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R96P, RAW/R96P, RAW/R96R, Rajoitettu ylipoltto] [%7]

System
-----------------------
K3b Version: 2.0.2
KDE Version: 4.8.5 (4.8.5)
QT Version:  4.8.1
Kernel:      3.2.0-115-generic-pae

Polton simulointi ei onnistu (DVD+R), eli en haluaisi haaskata levyjä turhiin kokeiluihin, ennen kuin on jonkinlainen varmuus, että poltto onnistuu. En myöskään haluaisi asentaa versiota 16.04 version 12.04 päälle, kun en tiedä onnistuuko poltto sielläkään. Eli, hyviä neuvoja kaivataan.

14
Firefox päivittyi versioon 46.0 ja työkaluvihjeiden laatikot muuttuivat täysin mustiksi. Ainoastaan ylin rivi, missä on (tai paremminkin tulee vihje) ”Ikkunan valikko” - ”Sulje”, näkyy oikein, eli vaalea teksti mustalla pohjalla. Käytössä Kubuntu 14.04. Muissa ohjelmissa toimii oikein.

Missä Firefoxissa on valinta mistä tuon voisi muuttaa?

15

Minulla on Kubuntu 14.04 joka käynnistyy noin viikon välein todella hitaasti, menee monta minuuttia. SSD kiintolevy (sdc) on Samsung 850 EVO 120 GB. Emolevy on M2N-SLI Deluxe. Sillä on jo aika paljon ikää, eikä SATA 1-6 liitimissä ollut AHCI valintaa. Käynnistys on kuitenkin normaalisti hiukan nopeampaa kuin pyörivissä, jotain alta minuutin.

Hitaan käynnistyksen jälkeen eivät kaikki ohjelmat avaudu. Kun katsoin järjestelmän tarkkailusta, oli siellä useita (ehkä 20) udisksd prosesseja jotka odottivat levyä. Uudelleenkäynnistyksen jälkeen kaikki toimii taas normaalisti.

Vikaa on aika hankala etsiä kun se toistuu aika harvoin. Olen muuttanut tuon viikko fstrimmauksen alimman rivin seuraavasti, mutta ei siitä ollut apua.

Koodia: [Valitse]
exec fstrim-all –no-model-check
Oletettavasti fstrim kuitenkin toimii, kun se vastaa noin. Vika saattaa siis olla aivan jossain muualla.

Koodia: [Valitse]
sudo fstrim -v /
/: 100345204736 bytes were trimmed

Osaako joku neuvoa miten pitäisi edetä. Heikolla kielitaidolla en ole löytänyt netistä ratkaisua.

16
Sinänsä harmiton mutta ärsyttävä yksityiskohta, työpöydällä oleva valittu ikoni muuttuu siniseksi. En ole löytänyt valintaa mistä tuon voi muuttaa. Versiossa 12.04 tuo ei toimi noin.



17
Multimedia ja grafiikka / DraftSight 2016 SP0 toimii
« : 18.02.16 - klo:18.23 »
Asentakaa uusi DraftSight 2016. Osoitin ei enää laahaa isoillakaan kuvilla. Mitään virityksiä ei enää tarvita. Minulla ei toiminut 2015 kunnolla isoilla kuvilla edes kaikkien virittelyjen jälkeenkään.

18
Tietokoneessani on kaksi kiintolevyä joista toisessa on Kubuntu 12.04 ja toisessa Win XP, jossa on joitain ohjelmia joita saatan joskus tarvita. Valitsen XP:n käynnistymään F8 funktionäppäimellä. Asensin XP:n uudelleen, aktivoin (ainakin vielä onnistui) ja päivitin sen. Pitää vielä poistaa siitä netin käyttö mahdollisuus.

Mikä olisi hyvä (ilmainen) ohjelma millä tuosta XP levystä saisi levykuvan. Palautus pitäisi onnistua samaan levyyn ja tietokoneeseen niin, ettei aktivointia tarvitsisi uudelleen suorittaa. Minulla on tallessa numerosarja millä aktivoinnin viimeksi tein.

19
Laitealue / FreeCAD 0.13 ja 3Dconnexionin 3D hiiri
« : 07.04.13 - klo:22.47 »
Ainakin Kubuntun versiossa 12.04 tuo 3D hiiri toimi alkuperäisillä asetuksilla joistikkina, eikä toiminut CAD-ohjelman kanssa. Lisäsin spacenavd 0.5-1 ohjaimen. Hiiri ei vieläkään toiminut. Ohjelman kotisivulla oli ohje jos hiiri lakkaa toimimasta, eli komennot:

Koodia: [Valitse]
sudo xhost +
sudo /etc/init.d/spacenavd restart

Useiden verkkosivujen mukaan pelkkä plus on tietoturvariski, eli muutin komennot näin:

Koodia: [Valitse]
sudo xhost +local:
sudo /etc/init.d/spacenavd restart
sudo xhost -local:

Nyt hiiri toimii niin kuin pitääkin, myös muutetulla xhost parametrilla. Vaikka ohjelman käyttö on tällä hetkellä lähinnä testausta, olisi hyvä tietää miksi hiiri ei toimi ilman noita komentoja ja miten saisin sen toimimaan oikein heti tietokoneen käynnistyksen jälkeen.

Haluaisinkin tietää miten 3D hiiri toimii muilla käyttäjillä. Olen ymmärtänyt, että ainakin myös Blender toimii 3D hiiren kanssa. Olen aivan vihreä Linux käyttäjä, eli jotkut perusasiatkin saattavat olla vieraita.

Sivuja: [1]